Wireshark 2.9.0-477-g68ec514b The Wireshark network protocol analyzer

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
_frame_data Struct Reference
Frame Data

## Public Attributes
GSList * | pfd
guint32 | num
guint32 | pkt_len
guint32 | cap_len
guint32 | cum_bytes
gint64 | file_off
guint16 | subnum
gint16 | tsprec
struct {
unsigned int passed_dfilter: 1
unsigned int dependent_of_displayed: 1
unsigned int encoding: 1
unsigned int visited: 1
unsigned int marked: 1
unsigned int ref_time: 1
unsigned int ignored: 1
unsigned int has_ts: 1
unsigned int has_phdr_comment: 1
unsigned int has_user_comment: 1
unsigned int need_colorize: 1
} | flags
const struct _color_filter * | color_filter
nstime_t | abs_ts
nstime_t | shift_offset
guint32 | frame_ref_num
guint32 | prev_dis_num

## Member Data Documentation

nstime_t _frame_data::abs_ts

Absolute timestamp

guint32 _frame_data::cap_len

Amount actually captured

const struct _color_filter* _frame_data::color_filter

Per-packet matching color_filter_t object

guint32 _frame_data::cum_bytes

Cumulative bytes into the capture

unsigned int _frame_data::dependent_of_displayed

1 if a displayed frame depends on this frame

unsigned int _frame_data::encoding

Character encoding (ASCII, EBCDIC...)

gint64 _frame_data::file_off

File offset

guint32 _frame_data::frame_ref_num

Previous reference frame (0 if this is one)

unsigned int _frame_data::has_ts

1 = has time stamp, 0 = no time stamp

unsigned int _frame_data::has_user_comment

1 = there's comment for this packet

unsigned int _frame_data::ignored

1 = ignore this frame, 0 = normal

unsigned int _frame_data::marked

1 = marked by user, 0 = normal

unsigned int _frame_data::need_colorize

1 = user set (also deleted) comment for this packet 1 = need to (re-)calculate packet color

guint32 _frame_data::num

Frame number

unsigned int _frame_data::passed_dfilter

1 = display, 0 = no display

GSList* _frame_data::pfd

Per frame proto data

guint32 _frame_data::pkt_len

Packet length

guint32 _frame_data::prev_dis_num

Previous displayed frame (0 if first one)

unsigned int _frame_data::ref_time

1 = marked as a reference time frame, 0 = normal

nstime_t _frame_data::shift_offset

How much the abs_tm of the frame is shifted

guint16 _frame_data::subnum

subframe number, for protocols that require this

gint16 _frame_data::tsprec

Time stamp precision

unsigned int _frame_data::visited

Has this packet been visited yet? 1=Yes,0=No

The documentation for this struct was generated from the following file:

- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/epan/frame_data.h